HaruDoc::save
HaruDoc::setCompressionMode
HaruDoc
PHP Manual

# HaruDoc::saveToStream

(PECL haru >= 0.0.1)

HaruDoc::saveToStream — Save the document into a temporary stream

### Description

bool HaruDoc::saveToStream ( void )

Saves the document data into a temporary stream.

### Parameters

This function has no parameters.

### Return Values

Returns `TRUE` on success.

### Errors/Exceptions

Throws a HaruException on error.

### See Also

- HaruDoc::resetStream() - Rewind the temporary stream
- HaruDoc::getStreamSize() - Get the size of the temporary stream
- HaruDoc::readFromStream() - Read data from the temporary stream

HaruDoc::save
HaruDoc::setCompressionMode
HaruDoc
PHP Manual